summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2004-06-29 14:39:24 +0000
committerMike Frysinger <vapier@gentoo.org>2004-06-29 14:39:24 +0000
commitc17069edcc67cdf601b3987e1f2861ddc2cd94e5 (patch)
tree17dc65b46f39df78180b0dfcb8c2aadb0fdde31e /dev-dotnet
parentversion bump (diff)
downloadgentoo-2-c17069edcc67cdf601b3987e1f2861ddc2cd94e5.tar.gz
gentoo-2-c17069edcc67cdf601b3987e1f2861ddc2cd94e5.tar.bz2
gentoo-2-c17069edcc67cdf601b3987e1f2861ddc2cd94e5.zip
clean up things and change glibc to libc
Diffstat (limited to 'dev-dotnet')
-rw-r--r--dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild9
-rw-r--r--dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild9
-rw-r--r--dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild9
-rw-r--r--dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild9
-rw-r--r--dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild11
-rw-r--r--dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild10
-rw-r--r--dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild10
-rw-r--r--dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild15
-rw-r--r--dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild15
-rw-r--r--dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild15
-rw-r--r--dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild11
-rw-r--r--dev-dotnet/mono/mono-0.28.ebuild19
-rw-r--r--dev-dotnet/mono/mono-0.30.1.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.30.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.31.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.91.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.95.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.96.ebuild23
-rw-r--r--dev-dotnet/mono/mono-0.97.ebuild23
-rw-r--r--dev-dotnet/pnet/pnet-0.6.6.ebuild7
-rw-r--r--dev-dotnet/pnetc/pnetc-0.6.6.ebuild11
-rw-r--r--dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild10
-rw-r--r--dev-dotnet/winelib/winelib-0.3.ebuild7
-rw-r--r--dev-dotnet/xsp/xsp-0.13.ebuild8
-rw-r--r--dev-dotnet/xsp/xsp-0.14.ebuild3
-rw-r--r--dev-dotnet/xsp/xsp-0.15.ebuild3
-rw-r--r--dev-dotnet/xsp/xsp-0.16.ebuild3
27 files changed, 136 insertions, 219 deletions
diff --git a/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild b/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild
index ad95bb3eff04..e69e714c0416 100644
--- a/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild
+++ b/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild,v 1.4 2004/06/24 22:02:58 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.2.ebuild,v 1.5 2004/06/29 14:35:18 vapier Exp $
inherit mono
@@ -11,16 +11,15 @@ SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.91
- >=x11-libs/gtk-sharp-0.91.1
- net-www/mozilla"
+ >=x11-libs/gtk-sharp-0.91.1
+ net-www/mozilla"
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
+ emake -j1 || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
}
src_install() {
diff --git a/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild b/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild
index 59c14aa943be..0b21b54af777 100644
--- a/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild
+++ b/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild,v 1.3 2004/06/24 22:02:58 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.3.ebuild,v 1.4 2004/06/29 14:35:18 vapier Exp $
inherit mono
@@ -11,16 +11,15 @@ SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.91
- >=x11-libs/gtk-sharp-0.91.1
- net-www/mozilla"
+ >=x11-libs/gtk-sharp-0.91.1
+ net-www/mozilla"
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
+ emake -j1 || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
}
src_install() {
diff --git a/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild b/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild
index 92f08fcaa673..7b9bfdb848c9 100644
--- a/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild
+++ b/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild,v 1.3 2004/06/24 22:02:58 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.4.ebuild,v 1.4 2004/06/29 14:35:18 vapier Exp $
inherit mono
@@ -11,16 +11,15 @@ SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.95
- >=x11-libs/gtk-sharp-0.93
- net-www/mozilla"
+ >=x11-libs/gtk-sharp-0.93
+ net-www/mozilla"
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
+ emake -j1 || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
}
src_install() {
diff --git a/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild b/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild
index 2a7fb36d7bb7..57c51c91277b 100644
--- a/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild
+++ b/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild,v 1.2 2004/06/24 22:02:58 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gecko-sharp/gecko-sharp-0.5.ebuild,v 1.3 2004/06/29 14:35:18 vapier Exp $
inherit mono
@@ -11,16 +11,15 @@ SRC_URI="http://www.go-mono.com/archive/beta3/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.96
- >=x11-libs/gtk-sharp-0.98
- net-www/mozilla"
+ >=x11-libs/gtk-sharp-0.98
+ net-www/mozilla"
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
+ emake -j1 || die "Make failed. You may need to unmerge gecko-sharp and re-emerge it if you are upgrading from an earlier version."
}
src_install() {
diff --git a/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild b/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild
index 3690ab02d8ea..a0cc365696ab 100644
--- a/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild
+++ b/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild,v 1.3 2004/06/24 22:03:09 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtkgl-sharp/gtkgl-sharp-0.05.ebuild,v 1.4 2004/06/29 14:36:33 vapier Exp $
inherit mono
@@ -14,13 +14,8 @@ KEYWORDS="~x86 ~ppc"
IUSE=""
DEPEND="virtual/x11
- >=dev-dotnet/mono-0.91
- >=x11-libs/gtk-sharp-0.91.1"
-
-src_compile() {
- econf || die "./configure failed!"
- emake || die
-}
+ >=dev-dotnet/mono-0.91
+ >=x11-libs/gtk-sharp-0.91.1"
src_install() {
make DESTDIR=${D} install || die
diff --git a/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild b/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild
index 9dc97ba24571..c16f99d1ea41 100644
--- a/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild
+++ b/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild,v 1.3 2004/06/24 22:03:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.2.ebuild,v 1.4 2004/06/29 14:36:56 vapier Exp $
inherit mono
@@ -11,12 +11,11 @@ SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.91
- >=x11-libs/gtk-sharp-0.91.1
- >=x11-libs/gtksourceview-0.7.0"
+ >=x11-libs/gtk-sharp-0.91.1
+ >=x11-libs/gtksourceview-0.7.0"
src_unpack() {
unpack ${A}
@@ -25,11 +24,10 @@ src_unpack() {
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "make failed"
+ emake -j1 || die "make failed"
}
src_install() {
dodir $(monodoc --get-sourcesdir)
make DESTDIR=${D} install || die
}
-
diff --git a/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild b/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild
index b9e4052c2b41..08d53ec0e654 100644
--- a/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild
+++ b/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild,v 1.3 2004/06/24 22:03:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/gtksourceview-sharp/gtksourceview-sharp-0.3.ebuild,v 1.4 2004/06/29 14:36:56 vapier Exp $
inherit mono
@@ -11,12 +11,11 @@ SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.95
- >=x11-libs/gtk-sharp-0.93
- >=x11-libs/gtksourceview-0.7.0"
+ >=x11-libs/gtk-sharp-0.93
+ >=x11-libs/gtksourceview-0.7.0"
src_unpack() {
unpack ${A}
@@ -25,11 +24,10 @@ src_unpack() {
src_compile() {
econf || die "./configure failed!"
- MAKEOPTS="-j1" make || die "make failed"
+ emake -j1 || die "make failed"
}
src_install() {
dodir $(monodoc --get-sourcesdir)
make DESTDIR=${D} install || die
}
-
diff --git a/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild b/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild
index c60665a7b90b..8d48800e4b81 100644
--- a/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild
+++ b/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild
@@ -1,25 +1,21 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild,v 1.1 2004/06/28 00:59:15 latexer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.10.ebuild,v 1.2 2004/06/29 14:37:18 vapier Exp $
DESCRIPTION="Library for using System.Drawing with Mono"
-
HOMEPAGE="http://www.go-mono.com/"
-
SRC_URI="http://www.go-mono.com/archive/rc/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE="tiff gif jpeg png"
DEPEND=">=x11-libs/cairo-0.1.23
- tiff? ( media-libs/tiff )
- gif? ( media-libs/libungif )
- jpeg? ( media-libs/jpeg )
- png? ( media-libs/libpng )"
-
+ tiff? ( media-libs/tiff )
+ gif? ( media-libs/libungif )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )"
RDEPEND=">=dev-dotnet/mono-0.97"
src_compile() {
@@ -37,6 +33,5 @@ src_compile() {
src_install() {
einstall || die
-
dodoc AUTHORS ChangeLog NEWS README
}
diff --git a/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild b/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild
index 65eb1fe444c8..cea4791643ee 100644
--- a/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild
+++ b/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild
@@ -1,25 +1,21 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild,v 1.3 2004/06/24 22:03:36 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.8.ebuild,v 1.4 2004/06/29 14:37:18 vapier Exp $
DESCRIPTION="Library for using System.Drawing with Mono"
-
HOMEPAGE="http://www.go-mono.com/"
-
SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE="tiff gif jpeg png"
DEPEND=">=x11-libs/cairo-0.1.23
- tiff? ( media-libs/tiff )
- gif? ( media-libs/libungif )
- jpeg? ( media-libs/jpeg )
- png? ( media-libs/libpng )"
-
+ tiff? ( media-libs/tiff )
+ gif? ( media-libs/libungif )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )"
RDEPEND=">=dev-dotnet/mono-0.95"
src_compile() {
@@ -37,6 +33,5 @@ src_compile() {
src_install() {
einstall || die
-
dodoc AUTHORS ChangeLog NEWS README
}
diff --git a/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild b/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild
index c98ed855a671..249dc3d2f2ae 100644
--- a/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild
+++ b/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild
@@ -1,25 +1,21 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild,v 1.2 2004/06/24 22:03:36 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/libgdiplus/libgdiplus-0.9.ebuild,v 1.3 2004/06/29 14:37:18 vapier Exp $
DESCRIPTION="Library for using System.Drawing with Mono"
-
HOMEPAGE="http://www.go-mono.com/"
-
SRC_URI="http://www.go-mono.com/archive/beta3/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE="tiff gif jpeg png"
DEPEND=">=x11-libs/cairo-0.1.23
- tiff? ( media-libs/tiff )
- gif? ( media-libs/libungif )
- jpeg? ( media-libs/jpeg )
- png? ( media-libs/libpng )"
-
+ tiff? ( media-libs/tiff )
+ gif? ( media-libs/libungif )
+ jpeg? ( media-libs/jpeg )
+ png? ( media-libs/libpng )"
RDEPEND=">=dev-dotnet/mono-0.96"
src_compile() {
@@ -37,6 +33,5 @@ src_compile() {
src_install() {
einstall || die
-
dodoc AUTHORS ChangeLog NEWS README
}
diff --git a/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild b/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild
index 6343c52cc138..dac9787b271c 100644
--- a/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild
+++ b/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild,v 1.5 2004/06/24 22:04:09 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/ml-pnet/ml-pnet-0.6.6.ebuild,v 1.6 2004/06/29 14:37:36 vapier Exp $
DESCRIPTION="Mono C# libraries for Portable .NET"
HOMEPAGE="http://www.dotgnu.org/"
@@ -9,18 +9,11 @@ SRC_URI="mirror://gnu/dotgnu/pnet/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ppc sparc ~mips ~alpha ~arm ~hppa ~amd64 ~ia64"
-
IUSE=""
DEPEND="=dev-dotnet/pnetlib-${PV}*"
-src_compile() {
- econf || die
- emake || die
-}
-
src_install() {
einstall || die
-
- dodoc AUTHORS COPYING ChangeLog INSTALL NEWS README
+ dodoc AUTHORS ChangeLog INSTALL NEWS README
}
diff --git a/dev-dotnet/mono/mono-0.28.ebuild b/dev-dotnet/mono/mono-0.28.ebuild
index 4da692ba5286..e3b4703727c2 100644
--- a/dev-dotnet/mono/mono-0.28.ebuild
+++ b/dev-dotnet/mono/mono-0.28.ebuild
@@ -1,27 +1,25 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.28.ebuild,v 1.4 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.28.ebuild,v 1.5 2004/06/29 14:37:57 vapier Exp $
inherit mono
MCS_P="mcs-${PV}"
MCS_S=${WORKDIR}/${MCS_P}
-IUSE=""
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.go-mono.com/"
SRC_URI="http://www.go-mono.com/archive/${P}.tar.gz
http://www.go-mono.com/archive/${MCS_P}.tar.gz"
-HOMEPAGE="http://www.go-mono.com/"
LICENSE="GPL-2 LGPL-2 X11"
SLOT="0"
-
KEYWORDS="x86 -ppc"
+IUSE=""
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
!dev-dotnet/pnet"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2
@@ -37,7 +35,7 @@ src_unpack() {
src_compile() {
econf || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
ln -s ../runtime ${WORKDIR}/${P}/runtime/lib
cd ${MCS_S}
@@ -50,11 +48,10 @@ src_compile() {
echo "prefix=/usr" >> build/config.make
}
-src_install () {
- cd ${S}
+src_install() {
einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
@@ -68,7 +65,7 @@ src_install () {
doins MonoIcon.png ScalableMonoIcon.svg
docinto mcs
- dodoc AUTHORS COPYING README* ChangeLog INSTALL.txt
+ dodoc AUTHORS README* ChangeLog INSTALL.txt
docinto mcs/docs
dodoc docs/*.txt
diff --git a/dev-dotnet/mono/mono-0.30.1.ebuild b/dev-dotnet/mono/mono-0.30.1.ebuild
index 504e2da5f82c..ad26fbac8b68 100644
--- a/dev-dotnet/mono/mono-0.30.1.ebuild
+++ b/dev-dotnet/mono/mono-0.30.1.ebuild
@@ -1,30 +1,26 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.30.1.ebuild,v 1.2 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.30.1.ebuild,v 1.3 2004/06/29 14:37:57 vapier Exp $
inherit mono flag-o-matic
-strip-flags
-
MCS_P="mcs-${PV}"
MCS_S=${WORKDIR}/${MCS_P}
-IUSE=""
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.go-mono.com/"
SRC_URI="http://www.go-mono.com/archive/${P}.tar.gz
http://www.go-mono.com/archive/${MCS_P}.tar.gz"
-HOMEPAGE="http://www.go-mono.com/"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
-
KEYWORDS="~x86 -ppc"
+IUSE=""
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6
!dev-dotnet/pnet"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
@@ -44,8 +40,10 @@ src_unpack() {
}
src_compile() {
+ strip-flags
+
econf || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
ln -s ../runtime ${WORKDIR}/${P}/runtime/lib
cd ${MCS_S}
@@ -60,11 +58,10 @@ src_compile() {
echo "prefix=/usr" >> build/config.make
}
-src_install () {
- cd ${S}
+src_install() {
einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
@@ -78,7 +75,7 @@ src_install () {
doins MonoIcon.png ScalableMonoIcon.svg
docinto mcs
- dodoc AUTHORS COPYING README* ChangeLog INSTALL.txt
+ dodoc AUTHORS README* ChangeLog INSTALL.txt
docinto mcs/docs
dodoc docs/*.txt
diff --git a/dev-dotnet/mono/mono-0.30.ebuild b/dev-dotnet/mono/mono-0.30.ebuild
index 3e835e1841b3..311293a816d2 100644
--- a/dev-dotnet/mono/mono-0.30.ebuild
+++ b/dev-dotnet/mono/mono-0.30.ebuild
@@ -1,30 +1,26 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.30.ebuild,v 1.2 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.30.ebuild,v 1.3 2004/06/29 14:37:57 vapier Exp $
inherit mono flag-o-matic
-strip-flags
-
MCS_P="mcs-${PV}"
MCS_S=${WORKDIR}/${MCS_P}
-IUSE=""
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.go-mono.com/"
SRC_URI="http://www.go-mono.com/archive/${P}.tar.gz
http://www.go-mono.com/archive/${MCS_P}.tar.gz"
-HOMEPAGE="http://www.go-mono.com/"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
-
KEYWORDS="~x86 -ppc"
+IUSE=""
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6
!dev-dotnet/pnet"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
@@ -44,8 +40,10 @@ src_unpack() {
}
src_compile() {
+ strip-flags
+
econf || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
ln -s ../runtime ${WORKDIR}/${P}/runtime/lib
cd ${MCS_S}
@@ -60,11 +58,10 @@ src_compile() {
echo "prefix=/usr" >> build/config.make
}
-src_install () {
- cd ${S}
+src_install() {
einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
@@ -78,7 +75,7 @@ src_install () {
doins MonoIcon.png ScalableMonoIcon.svg
docinto mcs
- dodoc AUTHORS COPYING README* ChangeLog INSTALL.txt
+ dodoc AUTHORS README* ChangeLog INSTALL.txt
docinto mcs/docs
dodoc docs/*.txt
diff --git a/dev-dotnet/mono/mono-0.31.ebuild b/dev-dotnet/mono/mono-0.31.ebuild
index b50e895f3bf6..8586a6d09d47 100644
--- a/dev-dotnet/mono/mono-0.31.ebuild
+++ b/dev-dotnet/mono/mono-0.31.ebuild
@@ -1,30 +1,26 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.31.ebuild,v 1.5 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.31.ebuild,v 1.6 2004/06/29 14:37:57 vapier Exp $
inherit eutils mono flag-o-matic
-strip-flags
-
MCS_P="mcs-${PV}"
MCS_S=${WORKDIR}/${MCS_P}
-IUSE="nptl"
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.go-mono.com/"
SRC_URI="http://www.go-mono.com/archive/${P}.tar.gz
http://www.go-mono.com/archive/${MCS_P}.tar.gz"
-HOMEPAGE="http://www.go-mono.com/"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
-
KEYWORDS="~x86 -ppc"
+IUSE="nptl"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6
!dev-dotnet/pnet"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
@@ -44,6 +40,8 @@ src_unpack() {
}
src_compile() {
+ strip-flags
+
local myconf=""
if use nptl && have_NPTL
then
@@ -53,7 +51,7 @@ src_compile() {
fi
econf ${myconf} || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
ln -s ../runtime ${WORKDIR}/${P}/runtime/lib
cd ${MCS_S}
@@ -68,11 +66,10 @@ src_compile() {
echo "prefix=/usr" >> build/config.make
}
-src_install () {
- cd ${S}
+src_install() {
einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
@@ -86,7 +83,7 @@ src_install () {
doins MonoIcon.png ScalableMonoIcon.svg
docinto mcs
- dodoc AUTHORS COPYING README* ChangeLog INSTALL.txt
+ dodoc AUTHORS README* ChangeLog INSTALL.txt
docinto mcs/docs
dodoc docs/*.txt
diff --git a/dev-dotnet/mono/mono-0.91.ebuild b/dev-dotnet/mono/mono-0.91.ebuild
index e20f5966a876..9c2d29393971 100644
--- a/dev-dotnet/mono/mono-0.91.ebuild
+++ b/dev-dotnet/mono/mono-0.91.ebuild
@@ -1,36 +1,34 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.91.ebuild,v 1.6 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.91.ebuild,v 1.7 2004/06/29 14:37:57 vapier Exp $
inherit eutils mono flag-o-matic
-strip-flags
-
MCS_P="mcs-${PV}"
MCS_S=${WORKDIR}/${MCS_P}
-IUSE="nptl"
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
HOMEPAGE="http://www.go-mono.com/"
+SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
-
KEYWORDS="~x86 ~ppc ~amd64"
+IUSE="nptl"
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6.1
!dev-dotnet/pnet
ppc? ( >=sys-devel/gcc-3.2.3-r4 )
ppc? ( >=sys-libs/glibc-2.3.3_pre20040420 )"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
src_compile() {
+ strip-flags
+
local myconf=""
if use nptl && have_NPTL
then
@@ -40,14 +38,13 @@ src_compile() {
fi
econf ${myconf} || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
}
-src_install () {
- cd ${S}
+src_install() {
einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
@@ -57,7 +54,7 @@ src_install () {
doins MonoIcon.png ScalableMonoIcon.svg
docinto mcs
- dodoc AUTHORS COPYING README* ChangeLog INSTALL.txt
+ dodoc AUTHORS README* ChangeLog INSTALL.txt
docinto mcs/docs
dodoc docs/*.txt
diff --git a/dev-dotnet/mono/mono-0.95.ebuild b/dev-dotnet/mono/mono-0.95.ebuild
index c1a8e3e154ab..13cb5affa7dc 100644
--- a/dev-dotnet/mono/mono-0.95.ebuild
+++ b/dev-dotnet/mono/mono-0.95.ebuild
@@ -1,33 +1,31 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.95.ebuild,v 1.5 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.95.ebuild,v 1.6 2004/06/29 14:37:57 vapier Exp $
inherit eutils mono flag-o-matic
-strip-flags
-
-IUSE="nptl"
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
HOMEPAGE="http://www.go-mono.com/"
+SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE="nptl"
-KEYWORDS="~x86 ~amd64 ~ppc"
-
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6.1
!dev-dotnet/pnet
ppc? ( >=sys-devel/gcc-3.2.3-r4 )
ppc? ( >=sys-libs/glibc-2.3.3_pre20040420 )"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
src_compile() {
+ strip-flags
+
local myconf=""
if use nptl && have_NPTL
then
@@ -37,15 +35,14 @@ src_compile() {
fi
econf ${myconf} || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
}
-src_install () {
- cd ${S}
+src_install() {
make DESTDIR=${D} install || die
# einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
diff --git a/dev-dotnet/mono/mono-0.96.ebuild b/dev-dotnet/mono/mono-0.96.ebuild
index 9b733532eb7c..00e692494433 100644
--- a/dev-dotnet/mono/mono-0.96.ebuild
+++ b/dev-dotnet/mono/mono-0.96.ebuild
@@ -1,33 +1,31 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.96.ebuild,v 1.2 2004/06/24 22:04:25 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.96.ebuild,v 1.3 2004/06/29 14:37:57 vapier Exp $
inherit eutils mono flag-o-matic
-strip-flags
-
-IUSE="nptl"
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-SRC_URI="http://www.go-mono.com/archive/beta3/${P}.tar.gz"
HOMEPAGE="http://www.go-mono.com/"
+SRC_URI="http://www.go-mono.com/archive/beta3/${P}.tar.gz"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE="nptl"
-KEYWORDS="~x86 ~amd64 ~ppc"
-
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6.1
!dev-dotnet/pnet
ppc? ( >=sys-devel/gcc-3.2.3-r4 )
ppc? ( >=sys-libs/glibc-2.3.3_pre20040420 )"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
src_compile() {
+ strip-flags
+
local myconf=""
if use nptl && have_NPTL
then
@@ -37,15 +35,14 @@ src_compile() {
fi
econf ${myconf} || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
}
-src_install () {
- cd ${S}
+src_install() {
make DESTDIR=${D} install || die
# einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
diff --git a/dev-dotnet/mono/mono-0.97.ebuild b/dev-dotnet/mono/mono-0.97.ebuild
index 3c2af5787dd4..43f66783fa82 100644
--- a/dev-dotnet/mono/mono-0.97.ebuild
+++ b/dev-dotnet/mono/mono-0.97.ebuild
@@ -1,28 +1,24 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.97.ebuild,v 1.2 2004/06/28 16:05:06 latexer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/mono/mono-0.97.ebuild,v 1.3 2004/06/29 14:37:57 vapier Exp $
inherit eutils mono flag-o-matic
-strip-flags
-
-IUSE="nptl"
DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
-SRC_URI="http://www.go-mono.com/archive/rc/${P}.tar.gz"
HOMEPAGE="http://www.go-mono.com/"
+SRC_URI="http://www.go-mono.com/archive/rc/${P}.tar.gz"
LICENSE="GPL-2 | LGPL-2 | X11"
SLOT="0"
+KEYWORDS="~x86 ~ppc ~amd64"
+IUSE="nptl"
-KEYWORDS="~x86 ~amd64 ~ppc"
-
-DEPEND="virtual/glibc
+DEPEND="virtual/libc
>=dev-libs/glib-2.0
>=dev-libs/icu-2.6.1
!dev-dotnet/pnet
ppc? ( >=sys-devel/gcc-3.2.3-r4 )
ppc? ( >=sys-libs/glibc-2.3.3_pre20040420 )"
-
RDEPEND="${DEPEND}
dev-util/pkgconfig
dev-libs/libxml2"
@@ -36,6 +32,8 @@ src_unpack() {
}
src_compile() {
+ strip-flags
+
local myconf=""
if use nptl && have_NPTL
then
@@ -45,15 +43,14 @@ src_compile() {
fi
econf ${myconf} || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die "MONO compilation failure"
+ emake -j1 || die "MONO compilation failure"
}
-src_install () {
- cd ${S}
+src_install() {
make DESTDIR=${D} install || die
# einstall || die
- dodoc AUTHORS ChangeLog COPYING.LIB NEWS README
+ dodoc AUTHORS ChangeLog NEWS README
docinto docs
dodoc docs/*
diff --git a/dev-dotnet/pnet/pnet-0.6.6.ebuild b/dev-dotnet/pnet/pnet-0.6.6.ebuild
index ad2b32e64433..f2db743af522 100644
--- a/dev-dotnet/pnet/pnet-0.6.6.ebuild
+++ b/dev-dotnet/pnet/pnet-0.6.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnet/pnet-0.6.6.ebuild,v 1.7 2004/06/24 22:04:36 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnet/pnet-0.6.6.ebuild,v 1.8 2004/06/29 14:38:16 vapier Exp $
inherit eutils flag-o-matic
@@ -11,7 +11,6 @@ SRC_URI="mirror://gnu/dotgnu/pnet/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ppc sparc ~mips ~alpha ~arm ~hppa ~amd64 ~ia64"
-
IUSE=""
DEPEND=">=dev-util/treecc-0.3.0
@@ -27,13 +26,13 @@ src_unpack() {
src_compile() {
use amd64 && replace-flags -O? -O1
econf || die
- MAKEOPTS="${MAKEOPTS} -j1" emake || die
+ emake -j1 || die
}
src_install() {
einstall || die
- dodoc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
+ dodoc AUTHORS ChangeLog HACKING INSTALL NEWS README
dodoc doc/gtk-sharp.HOWTO
dohtml doc/*.html
diff --git a/dev-dotnet/pnetc/pnetc-0.6.6.ebuild b/dev-dotnet/pnetc/pnetc-0.6.6.ebuild
index 4dd5646a5420..fa4b19b34df8 100644
--- a/dev-dotnet/pnetc/pnetc-0.6.6.ebuild
+++ b/dev-dotnet/pnetc/pnetc-0.6.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnetc/pnetc-0.6.6.ebuild,v 1.5 2004/06/24 22:04:47 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnetc/pnetc-0.6.6.ebuild,v 1.6 2004/06/29 14:38:33 vapier Exp $
MY_P=${P/c/C}
S=${WORKDIR}/${MY_P}
@@ -12,18 +12,11 @@ SRC_URI="mirror://gnu/dotgnu/pnet/${MY_P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="x86 ppc sparc ~mips ~alpha ~arm ~hppa ~amd64 ~ia64"
-
IUSE=""
DEPEND="=dev-dotnet/pnetlib-${PV}*"
-src_compile() {
- econf || die
- emake || die
-}
-
src_install() {
einstall DESTDIR=${D} || die
-
- dodoc AUTHORS COPYING ChangeLog INSTALL README doc/HACKING
+ dodoc AUTHORS ChangeLog INSTALL README doc/HACKING
}
diff --git a/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild b/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild
index 308e9703a70e..90b245266493 100644
--- a/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild
+++ b/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild,v 1.5 2004/06/24 22:04:58 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/pnetlib/pnetlib-0.6.6.ebuild,v 1.6 2004/06/29 14:38:50 vapier Exp $
DESCRIPTION="Portable .NET C# library"
HOMEPAGE="http://www.dotgnu.org/"
@@ -9,21 +9,15 @@ SRC_URI="mirror://gnu/dotgnu/pnet/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86 ppc sparc ~mips ~alpha ~arm ~hppa ~amd64 ~ia64"
-
IUSE="X"
DEPEND="=dev-dotnet/pnet-${PV}*
X? ( virtual/x11 )"
-src_compile() {
- econf || die
- emake || die
-}
-
src_install() {
einstall || die
- dodoc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
+ dodoc AUTHORS ChangeLog HACKING INSTALL NEWS README
dodoc doc/*.txt
dohtml doc/*.html
}
diff --git a/dev-dotnet/winelib/winelib-0.3.ebuild b/dev-dotnet/winelib/winelib-0.3.ebuild
index 2c9fa3db5037..56fa844b1100 100644
--- a/dev-dotnet/winelib/winelib-0.3.ebuild
+++ b/dev-dotnet/winelib/winelib-0.3.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/winelib/winelib-0.3.ebuild,v 1.5 2004/06/24 22:05:08 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/winelib/winelib-0.3.ebuild,v 1.6 2004/06/29 14:39:07 vapier Exp $
DESCRIPTION="Library for using Windows.Forms with Mono"
HOMEPAGE="http://www.go-mono.com/"
@@ -12,9 +12,8 @@ KEYWORDS="~x86"
IUSE=""
RDEPEND=">=dev-dotnet/mono-0.95
- >=app-emulation/wine-20040121
- >=dev-dotnet/libgdiplus-0.9"
-DEPEND="${RDEPEND}"
+ >=app-emulation/wine-20040121
+ >=dev-dotnet/libgdiplus-0.9"
src_unpack() {
unpack ${A}
diff --git a/dev-dotnet/xsp/xsp-0.13.ebuild b/dev-dotnet/xsp/xsp-0.13.ebuild
index 905725124539..70ae7728afc4 100644
--- a/dev-dotnet/xsp/xsp-0.13.ebuild
+++ b/dev-dotnet/xsp/xsp-0.13.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.13.ebuild,v 1.2 2004/06/24 22:05:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.13.ebuild,v 1.3 2004/06/29 14:39:24 vapier Exp $
inherit mono
@@ -11,16 +11,10 @@ SRC_URI="http://www.go-mono.com/archive/beta1/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.91"
-src_compile() {
- econf || die "./configure failed!"
- emake || die "make failed"
-}
-
src_install() {
enewgroup aspnet
diff --git a/dev-dotnet/xsp/xsp-0.14.ebuild b/dev-dotnet/xsp/xsp-0.14.ebuild
index 62bb257bb9a1..0afe919f7cd0 100644
--- a/dev-dotnet/xsp/xsp-0.14.ebuild
+++ b/dev-dotnet/xsp/xsp-0.14.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.14.ebuild,v 1.4 2004/06/24 22:05:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.14.ebuild,v 1.5 2004/06/29 14:39:24 vapier Exp $
inherit mono
@@ -11,7 +11,6 @@ SRC_URI="http://www.go-mono.com/archive/beta2/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.91"
diff --git a/dev-dotnet/xsp/xsp-0.15.ebuild b/dev-dotnet/xsp/xsp-0.15.ebuild
index 1501d4e9fc7b..1d4ee50e73fe 100644
--- a/dev-dotnet/xsp/xsp-0.15.ebuild
+++ b/dev-dotnet/xsp/xsp-0.15.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.15.ebuild,v 1.2 2004/06/24 22:05:24 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.15.ebuild,v 1.3 2004/06/29 14:39:24 vapier Exp $
inherit mono
@@ -11,7 +11,6 @@ SRC_URI="http://www.go-mono.com/archive/beta3/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.96"
diff --git a/dev-dotnet/xsp/xsp-0.16.ebuild b/dev-dotnet/xsp/xsp-0.16.ebuild
index 3e515e064ee1..3ba69873d7af 100644
--- a/dev-dotnet/xsp/xsp-0.16.ebuild
+++ b/dev-dotnet/xsp/xsp-0.16.ebuild
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.16.ebuild,v 1.1 2004/06/28 00:58:55 latexer Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-dotnet/xsp/xsp-0.16.ebuild,v 1.2 2004/06/29 14:39:24 vapier Exp $
inherit mono
@@ -11,7 +11,6 @@ SRC_URI="http://www.go-mono.com/archive/rc/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86 ~ppc"
-
IUSE=""
DEPEND=">=dev-dotnet/mono-0.97"